Subject: Appeal of decision to standardize "Mapping Between the Multimedia Messaging Service (MMS) and Internet Mail"

From: John C Klensin <[email-masked]>
Date: Fri, 10 Jun 2005 14:49:17 -0400

Brian,

This is a formal appeal addressed to you as IETF Chair and, if
necessary and appropriate, to the IESG, over the recent approval
of draft-ietf-lemonade-mms-mapping-04.txt, "Mapping Between the
Multimedia Messaging Service (MMS) and Internet Mail" as a
proposed standard.  The appeal is self-contained and
self-explanatory and proposes both specific and general remedies
to the problems it identifies.  It raises questions, not only of
technical content, but of the procedures used to review
documents within WGs as well as between WGs and other areas of
expertise and the mechanisms used to determine adequacy of IETF
consensus.

The appeal necessarily takes no position on whether the problems
demonstrated by this particular document and its approval are
limited to it as an exceptional and deviant case or whether they
have more general implications, but perhaps that is a topic to
which the community should give some consideration in parallel
with your, and the IESG's, evaluation of the specific issues
raised.

regards,
    john
_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 13 Jun 2005 11:39:17 +0200

John,

I acknowledge receipt of this appeal. It is not one I can
deal with myself, so it will be examined by the IESG as a whole,
as specified in RFC 2026 section 6.5.2 paragraph 2. As it is
a complex matter, I cannot yet estimate the time needed.

Regards
    Brian

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter
IETF Chair
Distinguished Engineer, Internet Standards & Technology, IBM

---

From: John C Klensin <[email-masked]>
Date: Mon, 13 Jun 2005 10:00:36 -0400

Brian,

Thank you.  May I, and the community, assume that the Protocol 
Action notice, and the instructions to the RFC Editor to publish 
the document as a standards-track RFC, will be suspended while 
the appeal is active?

   regards,
      john

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 14 Jun 2005 10:52:41 +0200

John C Klensin wrote:
> Thank you.  May I, and the community, assume that the Protocol Action 
> notice, and the instructions to the RFC Editor to publish the document 
> as a standards-track RFC, will be suspended while the appeal is active?
> 
>   regards,
>      john

John, I don't see any text in RFC 2026 that gives an appeal suspensive
effect. However, as a matter of common sense, I have asked the
Secretariat to request the RFC Editor to suspend RFC publication.

     Brian

---

From: John C Klensin <[email-masked]>
Date: Tue, 14 Jun 2005 10:07:59 -0400

--On Tuesday, June 14, 2005 10:52 AM +0200 Brian E Carpenter 
<[email-masked]> wrote:

>> Thank you.  May I, and the community, assume that the
>> Protocol Action  notice, and the instructions to the RFC
>> Editor to publish the document  as a standards-track RFC,
>> will be suspended while the appeal is active?
>>
>>   regards,
>>      john
>

I don't see that text either.  I suspect it was omitted because 
of the possibility of denial of service attacks on getting 
standards out (Scott Bradner, a comment on this might be 
helpful).   But, because publication of this with an implied 
recommendation to implement would make any subsequent action on 
an appeal essentially moot, your common sense solution is 
appreciated.

    john

---

From: Tony Hansen <[email-masked]>
Date: Tue, 14 Jun 2005 12:12:22 -0400

I think this is one of those cases where it's best NOT to have EVERY
last process detail laid in stone. :-)

	Tony Hansen
	[email-masked]

John C Klensin wrote:
>> John, I don't see any text in RFC 2026 that gives an appeal 
>> suspensive effect. However, as a matter of common sense, I have
>> asked the Secretariat to request the RFC Editor to suspend RFC 
>> publication.
> 
> I don't see that text either.  I suspect it was omitted because of
> the possibility of denial of service attacks on getting standards out
> (Scott Bradner, a comment on this might be helpful).   But, because
> publication of this with an implied recommendation to implement would
> make any subsequent action on an appeal essentially moot, your common
> sense solution is appreciated.

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Wed, 15 Jun 2005 04:46:00 +0200

On 16:07 14/06/2005, John C Klensin said:
>>suspensive effect. However, as a matter of common sense, I
>>have asked the Secretariat to request the RFC Editor to
>>suspend RFC publication.

I support this. It creates a sensible jurisprudence.

The fear of DoS is legitimate, but also of an affinity group forcing an RFC 
in the hope that immediate decisions taken make the appeal moot. This is in 
particular the case if the RFC documents and feeds a IANA registry.

This is precisely a thing were arbitrary decisions should never be allowed, 
since it is contentious. It should be mechanical one way or another. The 
way is now set.

jfc

---

From: [email-masked] (Scott Bradner)
Date: Tue, 14 Jun 2005 23:30:02 -0400 (EDT)

> helpful). 

I do not recall any discussion on this particular question but tere
was a general assumption that common sense would be used so as to not
render any appeal moot before it was processed - note that just
because someing is not specifically enabled in RFC 2026 should
not be read to mean that teh action is specificaly disabled - that
can be the case if 2026 says 'you MUST do X" but I see no reason to 
extend 2026 to automatically block actions the WG (or editor) did
not think about unless 2026 dictates a particular path to follow

in this case I see nothing in 2026 that says that publication
can not or should not be held up

Scott

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 15 Jun 2005 18:21:20 +0200

> I support this. It creates a sensible jurisprudence.

To be clear, this isn't a court of law, so the notion of
jurisprudence doesn't apply. I specifically referred to
common sense for that reason. In other circumstances, I might
have decided otherwise.

     Brian

> The fear of DoS is legitimate, but also of an affinity group forcing an 
> RFC in the hope that immediate decisions taken make the appeal moot. 
> This is in particular the case if the RFC documents and feeds a IANA 
> registry.
> 
> This is precisely a thing were arbitrary decisions should never be 
> allowed, since it is contentious. It should be mechanical one way or 
> another. The way is now set.
> 
> jfc
> 
> 
> 
>